List Action Approval Rules
Retrieves a list of action approval rules for the specified project.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
projectId
ID of the project whose action approval rules you want to retrieve. You can get your project ID from the API Credentials page in your global management console.
Query parameters
pageToken
Cursor that points to the first record of the next page of results. Get this value from the previous response. To preserve the results in the same order, use the same sorting and filters in the first request as all subsequent requests.
pageSize
Maximum number of items to return in the response.
Request
This endpoint expects an object.
filters
Filter conditions. If omitted, no filtering is applied.
Response
Action approval rules retrieved.
actionApprovalRules
List of action approval rules.
totalCount
Total number of action approval rules that matched the filter options.
nextPageToken
Cursor that points to the first record of the next page of results. Pass this value in the next request.
Errors
400
Bad Request Error